package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * BatchTagRespOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class BatchTagRespOpenApiVo   {
  @JsonProperty("batchTagResult")
  @Valid
  private List<SetTagResultOpenApiVo> batchTagResult = null;

  public BatchTagRespOpenApiVo batchTagResult(List<SetTagResultOpenApiVo> batchTagResult) {
    this.batchTagResult = batchTagResult;
    return this;
  }

  public BatchTagRespOpenApiVo addBatchTagResultItem(SetTagResultOpenApiVo batchTagResultItem) {
    if (this.batchTagResult == null) {
      this.batchTagResult = new ArrayList<>();
    }
    this.batchTagResult.add(batchTagResultItem);
    return this;
  }

  /**
   * batch set tag result
   * @return batchTagResult
  */
  @ApiModelProperty(value = "batch set tag result")

  @Valid

  public List<SetTagResultOpenApiVo> getBatchTagResult() {
    return batchTagResult;
  }

  public void setBatchTagResult(List<SetTagResultOpenApiVo> batchTagResult) {
    this.batchTagResult = batchTagResult;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BatchTagRespOpenApiVo batchTagRespOpenApiVo = (BatchTagRespOpenApiVo) o;
    return Objects.equals(this.batchTagResult, batchTagRespOpenApiVo.batchTagResult);
  }

  @Override
  public int hashCode() {
    return Objects.hash(batchTagResult);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BatchTagRespOpenApiVo {\n");
    
    sb.append("    batchTagResult: ").append(toIndentedString(batchTagResult)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

